from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCheckBox(XInterface, Protocol):
    def addItemListener(self, l: XItemListener) -> None: ...
    def removeItemListener(self, l: XItemListener) -> None: ...
    def getState(self) -> int: ...
    def setState(self, n: int) -> None: ...
    def setLabel(self, Label: str) -> None: ...
    def enableTriState(self, b: bool) -> None: ...
